/*******************************************************************************
*  TestFilter.h - Exorcise Regexpes against a log
*
*  Berzerk/
*
*  Part of the BuckoSoft Network Monitor
*  Copyright(c) 2016 - BuckoSoft, Inc.
*
*  http://git.buckosoft.com/gitweb/?p=Berzerk.git;a=history;f=Berzerk/TestFilter.h
*
\*******************************************************************************/

#ifndef _BERZERK_TESTFILTER_H_
#define _BERZERK_TESTFILTER_H_

#include <string>
#include "server/reply.hpp"

#include "Berzerk.h"
#include "TLine.h"

namespace berzerk {

class TestFilter {
  public:
	TestFilter(const LogFile* logFile, const string& regexp, const string& regexpIP);
	void	setMaxLines(int i);
	bool	run();
	void	output(http::server::reply& rep);
	void	output(http::server::reply& rep, const TLine tline);

  private:
	const LogFile*	logFile;
	list<TLine>	matchedLines;

	string			regexp;
	string			regexpIP;
	int				maxLines;
	//bool			hasError;
	string			error;		// if !empty, then there was an error.
};

inline void TestFilter::setMaxLines(int i) { maxLines = i; }

}	// namespace berzerk
#endif /* _BERZERK_TESTFILTER_H_ */
