/*
 * xml.cpp
 *
 *  Created on: Nov 16, 2016
 *      Author: dick
 */

#include <boost/lexical_cast.hpp>

#include "xml.h"

PCSTR	s_xml_preamble = "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\r\n";

PCSTR crlf = "\r\n";

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
string toXml(PCSTR element, const int value, int indent) {
	string s = "<";
	s += element;
	s += ">";
	s += boost::lexical_cast<string>(value);
	s += "</";
	s += element;
	s += ">";
	s += crlf;
	return(s);
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
string toXml(PCSTR element, const string& value, int indent) {
	string s;
	if (indent) {
		for (int i=0; i<indent; i++)
			s += "\t";
	}
	s += "<";
	s += element;
	s += ">";
	s += value;
	s += "</";
	s += element;
	s += ">";
	s += crlf;
	return(s);
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
string	xmlToken(const string& t, int indent) {
	string s;
	if (indent) {
		for (int i=0; i<indent; i++)
			s += "\t";
	}
	s += "<";
	s += t;
	s += ">";
	s += crlf;
	return(s);
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
string	xmlTokenE(const string& t, int indent) {
	string s;
	if (indent) {
		for (int i=0; i<indent; i++)
			s += "\t";
	}
	s += "</";
	s += t;
	s += ">";
	s += crlf;
	return(s);
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
void putXmlError(reply& rep, PCSTR error) {
	rep.content += "<Error>";
	rep.content += error;
	rep.content += "</Error>";
	rep.content += crlf;
}

